APIs / OLX Poland / Search
OLX Poland: Search
Search from OLX Poland as JSON. 1 credit per successful call.
GET /v1/olx-pl/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Optional | Up to 100 characters |
category_id | integer | Optional | Any |
region_id | integer | Optional | Any |
city_id | integer | Optional | Any |
district_id | integer | Optional | Any |
distance | integer | Optional | Any |
price_from | number | Optional | Any |
price_to | number | Optional | Any |
owner_type | string | Optional | private, business |
sort_by | string | Optional | created_at:desc, relevance:desc, filter_float_price:asc, filter_float_price:desc |
offset | integer | Optional | Any |
limit | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/olx-pl/search" \
-H "X-API-Key: $API_KEY"